%define	upstream_name	 DBD-Pg
%define upstream_version 2.18.0
%define subrel		 1

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    PostgreSQL database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:	    0001-Explicitly-warn-and-croak-with-controlled-format-str.patch
BuildRequires: perl(DBI) >= 1.520.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(version)
BuildRequires: chrpath
BuildRequires: perl-devel
BuildRequires: postgresql-devel
%description
PostgreSQL database driver for the DBI module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .CVE-2012-1151

%build
export POSTGRES_INCLUDE=/usr/include
export POSTGRES_LIB=%{_libdir}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Pg/Pg.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/DBD/Pg/Pg.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSES META.yml README SIGNATURE TODO
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{perl_vendorarch}/Bundle
%{_mandir}/*/*


%changelog

* Thu Jul 26 2012 luigiwalser <luigiwalser> 2.18.0-1.1.mga1
+ Revision: 274565
- add patch to fix CVE-2012-1151 (from debian via mdv)

* Sun Apr 03 2011 jquelin <jquelin> 2.18.0-1.mga1
+ Revision: 80049
- update to 2.18.0

* Sat Jan 22 2011 jquelin <jquelin> 2.17.2-2.mga1
+ Revision: 32732
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.17.2-1.mga1
+ Revision: 30033
- mageia rebuild
- imported package perl-DBD-Pg

